Package com.sun.jna.platform.win32.COM

# Class TypeLibUtil.FindName

java.lang.Object
com.sun.jna.platform.win32.COM.TypeLibUtil.FindName

Enclosing class:
  TypeLibUtil

public static class TypeLibUtil.FindName extends Object
The Class FindName.

Author:
  wolf.tobias@gmx.net The Class FindName.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindName(String nameBuf, Pointer[] pTInfo, OaIdl.MEMBERID[] rgMemId, short pcFound)`
  Instantiates a new find name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getFound()`
  Gets the found.
  `OaIdl.MEMBERID[]`
  `getMemId()`
  Gets the mem id.
  `String`
  `getNameBuf()`
  Gets the name buf.
  `ITypeInfo[]`
  `getTInfo()`
  Gets the t info.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindName

    FindName(String nameBuf, Pointer[] pTInfo, OaIdl.MEMBERID[] rgMemId, short pcFound)
    Instantiates a new find name.
    Parameters:
      `nameBuf` - the name buf
      `pTInfo` - the t info
      `rgMemId` - the rg mem id
      `pcFound` -

- ## Method Details

  - ### getNameBuf

    public String getNameBuf()
    Gets the name buf.
    Returns:
      the name buf

  - ### getTInfo

    public ITypeInfo[] getTInfo()
    Gets the t info.
    Returns:
      the t info

  - ### getMemId

    public OaIdl.MEMBERID[] getMemId()
    Gets the mem id.
    Returns:
      the mem id

  - ### getFound

    public short getFound()
    Gets the found.
    Returns:
      the found